%define fefpcl_pkg	FJSVfefpcl-RHEL5

Name:		%{fefpcl_pkg}
Version:	3.1.1
Release:	1
Summary:	HBA Blockage Function

License:	GPLv2
Group:		System/Kernel

Packager:	FUJITSU LIMITED
Vendor:		FUJITSU LIMITED
URL:		http://www.fujitsu.com/

Source0:	%{fefpcl_pkg}-%{version}.tar.bz2
Source100:	find-requires.ksyms
Source101:	kmodtool.50ga.local
Buildroot:	%{_tmppath}/%{fefpcl_pkg}-%{version}-build
BuildRequires:	%kernel_module_package_buildreqs
ExclusiveOS:	Linux

%description
This package provides the FJSVfefpcl-RHEL5 driver part.

%define __find_requires %{SOURCE100}
%kernel_module_package -s %{SOURCE101}


%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build; do
rm -rf obj/$flavor
cp -r source obj/$flavor
cd obj/$flavor/driver
./bootstrap
make CDIR=%{kernel_source $flavor} MDIR=$PWD
cd ..
cd panicforpcl
make CDIR=%{kernel_source $flavor} MDIR=$PWD
cd ..
cd fjpciehp/hotplug
make CDIR=%{kernel_source $flavor} MDIR=$PWD
cd ../../../..
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build; do
cd obj/$flavor/driver
make CDIR=%{kernel_source $flavor} modules_install MDIR=$PWD
cd ..
cd panicforpcl
make CDIR=%{kernel_source $flavor} install MDIR=$PWD
cd ..
cd fjpciehp/hotplug
make CDIR=%{kernel_source $flavor} install MDIR=$PWD
cd ../../../..
done
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{name}/*

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Jun 28 2018 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 5. (BS01654)
- Retpoline support for speculative execution branch target injection (CVE-2017-5715).

* Fri Feb 24 2012 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 5. (BS01475)
- Update panicforpcl.ko.

* Wed Jun 27 2011 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 5. (BS01424)
- Update y20FJSVfefpcl. The problem of not doing normal operation is corrected with panic after runlevel in the init command is changed.
- Update y21FJSVfefpcl-mkrd. The position that panicforpcl.ko loads is changed.

* Tue Jun 14 2011 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 5. (BS01397)
- Update fefpcl.ko

* Fri Apr 16 2010 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 5. (BS01223)
- Update fefpcl.ko
- Update panicforpcl.ko

* Thu Mar 05 2010 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 5. (BS01199)
- Update panicforpcl
- Support sadump

* Thu Mar 05 2010 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 5. (BS01184)
- Update panicforpcl

* Thu Dec 10 2009 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 5. (BS01129)
- Support x86 and Intel64.
